
package com.jeelowcode.core.framework.config.btncommand.button;

import com.jeelowcode.core.framework.config.btncommand.receiver.IButtonCommandReceiver;
import com.jeelowcode.core.framework.params.model.ExcelModel;
import com.jeelowcode.core.framework.params.model.TableModel;

/**
 * 具体命令-新增按钮命令
 */
public class CustomButtonCommand implements IButtonCommand<TableModel> {
    //命令执行者
    private IButtonCommandReceiver<TableModel> recevier;


    /**
     * 绑定执行者
     * @param recevier 执行者
     */
    public CustomButtonCommand(IButtonCommandReceiver recevier) {
        this.recevier = recevier;
    }

    /**
     * 执行命令
     * @return
     */
    @Override
    public TableModel execute() {
        TableModel receiver = recevier.receiver();
        return receiver;
    }


}
